tigase.server.amp

## Interface AmpFeatureIfc

- All Known Subinterfaces:
    ActionIfc, ConditionIfc
  All Known Implementing Classes:
    ActionAbstract, Alert, Broadcast, Deliver, Deliver, Drop, Error, ExpireAt, MatchResource, Notify, Store

      public interface AmpFeatureIfc

  Created: Apr 28, 2010 5:38:24 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACTION_ATT` Field description
    `static String` | `AMP_MSG_REPO_CLASS_PARAM` Field description
    `static String` | `AMP_MSG_REPO_CLASS_PROP_KEY` Field description
    `static String` | `AMP_MSG_REPO_URI_PARAM` Field description
    `static String` | `AMP_MSG_REPO_URI_PROP_KEY` Field description
    `static String` | `AMP_XMLNS` Field description
    `static String` | `CONDITION_ATT` Field description
    `static String` | `EXPIRED` Field description
    `static String` | `FROM_CONN_ID` Field description
    `static String` | `MSG_OFFLINE_PROP_KEY` Field description
    `static String` | `OFFLINE` Field description
    `static String` | `SESSION_JID`
    `static String` | `TO_CONN_ID` Field description
    `static String` | `TO_RES` Field description

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`

- - ### Field Detail

    - #### AMP_MSG_REPO_CLASS_PROP_KEY

          static final String AMP_MSG_REPO_CLASS_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### AMP_MSG_REPO_CLASS_PARAM

          static final String AMP_MSG_REPO_CLASS_PARAM

      Field description
      See Also:
        Constant Field Values

    - #### AMP_MSG_REPO_URI_PARAM

          static final String AMP_MSG_REPO_URI_PARAM

      Field description
      See Also:
        Constant Field Values

    - #### AMP_MSG_REPO_URI_PROP_KEY

          static final String AMP_MSG_REPO_URI_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### AMP_XMLNS

          static final String AMP_XMLNS

      Field description
      See Also:
        Constant Field Values

    - #### FROM_CONN_ID

          static final String FROM_CONN_ID

      Field description
      See Also:
        Constant Field Values

    - #### SESSION_JID

          static final String SESSION_JID

      See Also:
        Constant Field Values

    - #### TO_CONN_ID

          static final String TO_CONN_ID

      Field description
      See Also:
        Constant Field Values

    - #### TO_RES

          static final String TO_RES

      Field description
      See Also:
        Constant Field Values

    - #### EXPIRED

          static final String EXPIRED

      Field description
      See Also:
        Constant Field Values

    - #### OFFLINE

          static final String OFFLINE

      Field description
      See Also:
        Constant Field Values

    - #### MSG_OFFLINE_PROP_KEY

          static final String MSG_OFFLINE_PROP_KEY

      Field description
      See Also:
        Constant Field Values

    - #### CONDITION_ATT

          static final String CONDITION_ATT

      Field description
      See Also:
        Constant Field Values

    - #### ACTION_ATT

          static final String ACTION_ATT

      Field description
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getName

          String getName()

Copyright © 2022 "Tigase, Inc.". All rights reserved.